gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.CellView

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A widget displaying a single row of a `TreeModel`

- Module available since Gtk+ version 2.6

Synopsis

- data CellView
- class WidgetClass o => CellViewClass o
- castToCellView :: GObjectClass obj => obj -> CellView
- gTypeCellView :: GType
- toCellView :: CellViewClass o => o -> CellView
- cellViewNew :: IO CellView
- cellViewNewWithMarkup :: GlibString string => string -> IO CellView
- cellViewNewWithPixbuf :: Pixbuf -> IO CellView
- cellViewNewWithText :: GlibString string => string -> IO CellView
- cellViewSetModel :: (CellViewClass self, TreeModelClass model) => self -> Maybe model -> IO ()
- cellViewGetSizeOfRow :: CellViewClass self => self -> TreePath -> IO Requisition
- cellViewSetBackgroundColor :: CellViewClass self => self -> Color -> IO ()
- cellViewBackground :: (CellViewClass self, GlibString string) => WriteAttr self string

# Detail

A `CellView` displays a single row of a `TreeModel`, using cell renderers just like `TreeView`. `CellView` doesn't support some of the more complex features of `TreeView`, like cell editing and drag and drop.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----CellView

# Types

data CellView Source #

#### Instances

Instances details

Eq CellView Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CellView -> CellView -> Bool Source # (/=) :: CellView -> CellView -> Bool Source #
Ord CellView Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: CellView -> CellView -> Ordering Source # (<) :: CellView -> CellView -> Bool Source # (<=) :: CellView -> CellView -> Bool Source # (>) :: CellView -> CellView -> Bool Source # (>=) :: CellView -> CellView -> Bool Source # max :: CellView -> CellView -> CellView Source # min :: CellView -> CellView -> CellView Source #
GObjectClass CellView Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CellView -> GObject Source # unsafeCastGObject :: GObject -> CellView Source #
CellLayoutClass CellView Source # |
Instance details Defined in Graphics.UI.Gtk.ModelView.CellLayout
CellViewClass CellView Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass CellView Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class WidgetClass o => CellViewClass o Source #

#### Instances

Instances details

CellViewClass CellView Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCellView :: GObjectClass obj => obj -> CellView Source #

gTypeCellView :: GType Source #

toCellView :: CellViewClass o => o -> CellView Source #

# Constructors

cellViewNew :: IO CellView Source #

Creates a new `CellView` widget.

cellViewNewWithMarkup Source #

Arguments

:: GlibString string |
=> string | `markup` - the text to display in the cell view
-> IO CellView |

Creates a new `CellView` widget, adds a `CellRendererText` to it, and makes its show `markup`. The text can be marked up with the Pango text markup language.

cellViewNewWithPixbuf Source #

Arguments

:: Pixbuf | `pixbuf` - the image to display in the cell view
-> IO CellView |

Creates a new `CellView` widget, adds a `CellRendererPixbuf` to it, and makes its show `pixbuf`.

cellViewNewWithText Source #

Arguments

:: GlibString string |
=> string | `text` - the text to display in the cell view
-> IO CellView |

Creates a new `CellView` widget, adds a `CellRendererText` to it, and makes its show `text`.

# Methods

cellViewSetModel Source #

Arguments

:: (CellViewClass self, TreeModelClass model) |
=> self |
-> Maybe model | `model` - a `TreeModel`
-> IO () |

Sets the model for `cellView`. If `cellView` already has a model set, it will remove it before setting the new model. If `model` is `Nothing`, then it will unset the old model.

cellViewGetSizeOfRow Source #

Arguments

:: CellViewClass self |
=> self |
-> TreePath | `path` - a `TreePath`
-> IO Requisition | returns the size requisition

Returns the size needed by the cell view to display the model row pointed to by `path`.

cellViewSetBackgroundColor Source #

Arguments

:: CellViewClass self |
=> self |
-> Color | `color` - the new background color
-> IO () |

Sets the background color of `view`.

# Attributes

cellViewBackground :: (CellViewClass self, GlibString string) => WriteAttr self string Source #

Background color as a string.

Default value: `""`